# Rebate Agreements ## Get a Quote/Contract/Rebate Agreement/Compensation Plan Header - [POST /clicmanager.fetchheader/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-clicmanager.fetchheader-typedid.md): Retrieves details of the specified Compensation Plan, Contract, Quote, or Rebate Agreement - without line items. >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. >Use the clicmanager.fetch/{typedId} endpoint to return line items of the specified entity. ## List CLIC Objects - [POST /clicmanager.fetch/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-clicmanager.fetch.md): Retrieves line items of the specified CLIC entity (Quote/Contract/Rebate Agreement/Compensation Plan Line Items). >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. ## Update CLIC Line Items - [POST /clicmanager.updatelineitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-clicmanager.updatelineitems-typedid.md): Updates specified line item fields of a CLIC object (Quote, Agreements & Promotions (Contract), Rebate Agreement, or Compensation Plan). ## Delete All Line Items - [POST /clicmanager.removeallitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-clicmanager.removeallitems-typedid.md): Removes all line items from a specified CLIC (Quote,Agreements & Promotions (Contract), Rebate Agreement, Compensation Plan) object. This action can be performed only on doucments in the DRAFT status. >If 'Recalculate after line item modification' option is set then the document is recalculated. ## Import Line Items (w/o Input Types) - [POST /clicmanager.importlineitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-clicmanager.importlineitems-typedid.md): Imports CLIC line items without specified input types, alowing to assign the input type to the line item using logic. The input name of the imported line item in the API request is compared with the name of inputs generated by the line item logic. If those names are equal, the input type from the calculation logic is used. ## Get a Quote/Contract/Rebate Agreement/Compensation Plan Header - [POST /clicmanager.fetchheader/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/contracts-(agreements-and-promotions)/post-clicmanager.fetchheader-typedid.md): Retrieves details of the specified Compensation Plan, Contract, Quote, or Rebate Agreement - without line items. >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. >Use the clicmanager.fetch/{typedId} endpoint to return line items of the specified entity. ## List CLIC Objects - [POST /clicmanager.fetch/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/contracts-(agreements-and-promotions)/post-clicmanager.fetch.md): Retrieves line items of the specified CLIC entity (Quote/Contract/Rebate Agreement/Compensation Plan Line Items). >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. ## Update CLIC Line Items - [POST /clicmanager.updatelineitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/contracts-(agreements-and-promotions)/post-clicmanager.updatelineitems-typedid.md): Updates specified line item fields of a CLIC object (Quote, Agreements & Promotions (Contract), Rebate Agreement, or Compensation Plan). ## Delete All Line Items - [POST /clicmanager.removeallitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/contracts-(agreements-and-promotions)/post-clicmanager.removeallitems-typedid.md): Removes all line items from a specified CLIC (Quote,Agreements & Promotions (Contract), Rebate Agreement, Compensation Plan) object. This action can be performed only on doucments in the DRAFT status. >If 'Recalculate after line item modification' option is set then the document is recalculated. ## Import Line Items (w/o Input Types) - [POST /clicmanager.importlineitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/contracts-(agreements-and-promotions)/post-clicmanager.importlineitems-typedid.md): Imports CLIC line items without specified input types, alowing to assign the input type to the line item using logic. The input name of the imported line item in the API request is compared with the name of inputs generated by the line item logic. If those names are equal, the input type from the calculation logic is used. ## List Rebate Agreements - [POST /fetch/RBA](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/rebate-agreements/post-fetch-rba.md): Retrieves a list of rebate agreements. --- Required Permission| Roles with the Required Permission | ---------|----------| REBATEAGREEMENT_FETCH | Investigate for Support (SUPPORT), Administer Plasma (PLASMA), Administer RebateManager (RM_REBATEMANAGER), Administer Rebate Agreements (RM_REBATEAGREEMENTS_ADMIN), Manage Rebate Agreements (RM_REBATEAGREEMENTS), View Rebate Agreements (RM_REBATEAGREEMENTS_RO) ## Upsert a Rebate Agreement - [POST /rebateagreement.save](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/rebate-agreements/post-rebateagreement.save.md): Creates or updates a Rebate Agreement. Assigns new uniqueName when a new Rebate Agreement is created. To update a Rebate Agreement, specify an existing uniqueName. >This endpoint is not allowed to modify the document status and workflow status. ## List Rebate Agreement Items - [POST /rebateagreement.fetchitems](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/rebate-agreements/post-rebateagreement.fetchitems.md): Retrieves Rebate Agreement Items. A filter can be applied. ## Get a Rebate Agreement - [POST /rebateagreement.fetch/{uniqueName}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/rebate-agreements/post-rebateagreement.fetch-uniquename.md): Retrieves details of the specified Rebate Agreement. ## Add Rebate Agreement Items - [POST /rebateagreement.additems](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/rebate-agreements/post-rebateagreement.additems.md): Adds items to the specified Rebate Agreement. ## Delete a Rebate Agreement - [POST /delete/RBA](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/rebate-agreements/post-delete-rba.md): Deletes a Rebate Agreement. ## Get a Quote/Contract/Rebate Agreement/Compensation Plan Header - [POST /clicmanager.fetchheader/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/rebate-agreements/post-clicmanager.fetchheader-typedid.md): Retrieves details of the specified Compensation Plan, Contract, Quote, or Rebate Agreement - without line items. >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. >Use the clicmanager.fetch/{typedId} endpoint to return line items of the specified entity. ## List CLIC Objects - [POST /clicmanager.fetch/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/rebate-agreements/post-clicmanager.fetch.md): Retrieves line items of the specified CLIC entity (Quote/Contract/Rebate Agreement/Compensation Plan Line Items). >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. ## Update CLIC Line Items - [POST /clicmanager.updatelineitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/rebate-agreements/post-clicmanager.updatelineitems-typedid.md): Updates specified line item fields of a CLIC object (Quote, Agreements & Promotions (Contract), Rebate Agreement, or Compensation Plan). ## Delete All Line Items - [POST /clicmanager.removeallitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/rebate-agreements/post-clicmanager.removeallitems-typedid.md): Removes all line items from a specified CLIC (Quote,Agreements & Promotions (Contract), Rebate Agreement, Compensation Plan) object. This action can be performed only on doucments in the DRAFT status. >If 'Recalculate after line item modification' option is set then the document is recalculated. ## Import Line Items (w/o Input Types) - [POST /clicmanager.importlineitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/rebate-agreements/post-clicmanager.importlineitems-typedid.md): Imports CLIC line items without specified input types, alowing to assign the input type to the line item using logic. The input name of the imported line item in the API request is compared with the name of inputs generated by the line item logic. If those names are equal, the input type from the calculation logic is used. ## Undo Rebate Agreement Revocation - [POST /rebateagreement.undorevoke/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/rebate-agreements/post-rebateagreement.undorevoke-typedid.md): Reverts the action 'Revoke Agreement' and returns the Rebate Agreement back to the Approved status. It is useful if the user revokes a Rebate Agreement by mistake. There is no button for this action available in the UI. ## Undo Rebate Record Revocation - [POST /rebaterecord.undorevoke/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/rebate-agreements/post-rebaterecord.undorevoke-typedid.md): Reverts the action 'Revoke' and returns the Rebate Record back to the Approved status. It is useful if the user revokes a Rebate Record by mistake. There is no button for this action available in the UI. ## Get a Quote/Contract/Rebate Agreement/Compensation Plan Header - [POST /clicmanager.fetchheader/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/sales-compensations/post-clicmanager.fetchheader-typedid.md): Retrieves details of the specified Compensation Plan, Contract, Quote, or Rebate Agreement - without line items. >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. >Use the clicmanager.fetch/{typedId} endpoint to return line items of the specified entity. ## List CLIC Objects - [POST /clicmanager.fetch/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/sales-compensations/post-clicmanager.fetch.md): Retrieves line items of the specified CLIC entity (Quote/Contract/Rebate Agreement/Compensation Plan Line Items). >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. ## Update CLIC Line Items - [POST /clicmanager.updatelineitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/sales-compensations/post-clicmanager.updatelineitems-typedid.md): Updates specified line item fields of a CLIC object (Quote, Agreements & Promotions (Contract), Rebate Agreement, or Compensation Plan). ## Delete All Line Items - [POST /clicmanager.removeallitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/sales-compensations/post-clicmanager.removeallitems-typedid.md): Removes all line items from a specified CLIC (Quote,Agreements & Promotions (Contract), Rebate Agreement, Compensation Plan) object. This action can be performed only on doucments in the DRAFT status. >If 'Recalculate after line item modification' option is set then the document is recalculated. ## Import Line Items (w/o Input Types) - [POST /clicmanager.importlineitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/sales-compensations/post-clicmanager.importlineitems-typedid.md): Imports CLIC line items without specified input types, alowing to assign the input type to the line item using logic. The input name of the imported line item in the API request is compared with the name of inputs generated by the line item logic. If those names are equal, the input type from the calculation logic is used. ## Get a Quote/Contract/Rebate Agreement/Compensation Plan Header - [POST /clicmanager.fetchheader/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/clicmanager/post-clicmanager.fetchheader-typedid.md): Retrieves details of the specified Compensation Plan, Contract, Quote, or Rebate Agreement - without line items. >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. >Use the clicmanager.fetch/{typedId} endpoint to return line items of the specified entity. ## List CLIC Objects - [POST /clicmanager.fetch/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/clicmanager/post-clicmanager.fetch.md): Retrieves line items of the specified CLIC entity (Quote/Contract/Rebate Agreement/Compensation Plan Line Items). >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. ## Update CLIC Line Items - [POST /clicmanager.updatelineitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/clicmanager/post-clicmanager.updatelineitems-typedid.md): Updates specified line item fields of a CLIC object (Quote, Agreements & Promotions (Contract), Rebate Agreement, or Compensation Plan). ## Delete All Line Items - [POST /clicmanager.removeallitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/clicmanager/post-clicmanager.removeallitems-typedid.md): Removes all line items from a specified CLIC (Quote,Agreements & Promotions (Contract), Rebate Agreement, Compensation Plan) object. This action can be performed only on doucments in the DRAFT status. >If 'Recalculate after line item modification' option is set then the document is recalculated. ## Import Line Items (w/o Input Types) - [POST /clicmanager.importlineitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/clicmanager/post-clicmanager.importlineitems-typedid.md): Imports CLIC line items without specified input types, alowing to assign the input type to the line item using logic. The input name of the imported line item in the API request is compared with the name of inputs generated by the line item logic. If those names are equal, the input type from the calculation logic is used.